Talk:Next steps

From WebOS Internals

Jump to: navigation, search

This script method does not seem to account for accessing SSH via USB instead of EVDO or Wifi. I don't believe it sets up the firewall correctly to allow USB0. --SagaciousB


AND WHERE EXACTLY DO I TYPE THIS INTO? WHAT PROGRAM, IF IN CMD WINDOW, WHERE? - Srlake314


I edited the article to include a link to info re: getting the bash correct: "Only the default shell (/bin/ash) will work for ssh. To change your shell to bash (located in /opt/bin/bash after the install), you will have to create an /etc/shells file, and add the following lines:" superduperpre


When tring to run optware-bootstrap.sh I never get prompted to enter a username. --alansned 18:28, 2 October 2009 (UTC)

Uninstallation before update requirements?

I do not see how to uninstall. It appears to me that the Optware instalation should be safe to leave installed as implied by the "we use /opt so as not to be overwritten by an update" statement. Are the Quilt installation steps mentioned here also safe to leave applied during a WebOS update? It does sound like patches and tweaks installed by quilt should be removed prior to an update. If the command `cd / ; quilt applied` found at Applying_Patches#Listing_Applied_Patches reports that no patches are applied is it safe for an update?

So, If I am correct in my assumptions above then everything found in /opt is safe to leave in place during an update. But perhaps things outside that folder are not? For example I've configured dyndns per [1] which required a new boot script named /etc/ppp/ip-up.d/09update-ddns, would this cause problems. Similarly per [2] installing a lighttp service requires the addition of a /etc/event.d/optware-lighttpd script, would this also cause WebOS update problems?

Thank you for any insights you might have, delaying my 1.2 update till I feel more confident... --Dolio 06:49, 1 October 2009 (UTC)

So I did the 1.2.0 update and it appears that everything I described above was fine including the ddns and lighttpd additions which I left in place during the update. I also performed the 1.2.1 update which initially appeared to be fine, but since then I have been prompted to install the 1.2.1 update multiple times. At this point I have installed the 1.2.1 update at least 3 times and have finally chosen to ignore it by Blocking_Updates until I figure out what's going on. Oddly enough I believe that after the 1.2.0 update I was still able to ssh into my Pre (I could be mistaken), but I am sure that the 1.2.1 update is overwriting the password file as I have to use the usb console to add my user after each update. Anyway, that's all neither here not there and I just thought I would let anyone reading this know how things turned out after being spooked by the great palm-profile-login-problems during the initial 1.2.0 update push. --Dolio 22:29, 20 October 2009 (UTC)

Changing Package Installation Target folder

Is there any way to tell ipkg-opt not to install packages in the application partition? The packages eat up a lot of space there, getting in the way with installing more apps... --Phil 10:32, 5 November 2009 (UTC)

I have not tried this but I suspect you could move the folder to another location and then create a symlink from it's original location. For example this will make a symlink in your home folder named internal.media ln -s /media/internal/ ~/internal.media. It could be dangerous to move things like bin folders because once moved you might find that you can no longer run those commands (Shrugs)... --Dolio 11:22, 7 November 2009 (UTC)

Palm Pixi Differences?

I've run the script (previously optware-bootstrap.sh and now optware-bootstrap-manual.sh) several times on my Pre after running WebOS Doctor, and it's always worked; however, I've tried running it on my wife's Sprint Pixi, and it did not. I chose the WiFi only option, but I'm suspecting the issue has something to do with that. ==15:01, 18 January 2010) Hparsons

Sprint Pixi, (not the verison pixi+) has no wifi. rboatright 15:49, 18 January 2010 (UTC)
Sorry, I mistyped. I enabled EVDO only, but still no connectivity.--Herb 18:52, 18 January 2010 (UTC)
Strongly suggest you chat in #webos-internals on chat.freenode.net to debug this, chatting here is going to drive us both nuts. rboatright 20:43, 18 January 2010 (UTC)
Pixi evdo interface name is different.
Personal tools
Google AdSense